Subject: linux-next: manual merge of the rust-xarray tree with the drm-nova tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 29 Apr 2025 17:07:52 +1000

Hi all,

Today's linux-next merge of the rust-xarray tree got a conflict in:

  rust/bindings/bindings_helper.h

between commit:

  c284d3e42338 ("rust: drm: gem: Add GEM object abstraction")

from the drm-nova tree and commit:

  dea08321b98e ("rust: xarray: Add an abstraction for XArray")

from the rust-xarray tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc rust/bindings/bindings_helper.h
index e0676ba99d37,e0bcd130b494..000000000000
--- a/rust/bindings/bindings_helper.h
+++ b/rust/bindings/bindings_helper.h
@@@ -61,4 -56,8 +62,9 @@@ const gfp_t RUST_CONST_HELPER___GFP_ZER
  const gfp_t RUST_CONST_HELPER___GFP_HIGHMEM = ___GFP_HIGHMEM;
  const gfp_t RUST_CONST_HELPER___GFP_NOWARN = ___GFP_NOWARN;
  const blk_features_t RUST_CONST_HELPER_BLK_FEAT_ROTATIONAL = BLK_FEAT_ROTATIONAL;
 +const fop_flags_t RUST_CONST_HELPER_FOP_UNSIGNED_OFFSET = FOP_UNSIGNED_OFFSET;
+ 
+ const xa_mark_t RUST_CONST_HELPER_XA_PRESENT = XA_PRESENT;
+ 
+ const gfp_t RUST_CONST_HELPER_XA_FLAGS_ALLOC = XA_FLAGS_ALLOC;
+ const gfp_t RUST_CONST_HELPER_XA_FLAGS_ALLOC1 = XA_FLAGS_ALLOC1;